# Security update for webkit2gtk3

Announcement ID: SUSE-SU-2024:0301-1  
Rating: important  
References:

  * bsc#1219113

  
Cross-References:

  * CVE-2024-23222

  
CVSS scores:

  * CVE-2024-23222 ( SUSE ):  7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2024-23222 ( NVD ):  8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

  
Affected Products:

  * SUSE Enterprise Storage 7.1
  * SUSE Linux Enterprise High Performance Computing 15 SP2
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
  * SUSE Linux Enterprise High Performance Computing 15 SP3
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
  * SUSE Linux Enterprise Server 15 SP2
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
  * SUSE Linux Enterprise Server 15 SP3
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for webkit2gtk3 fixes the following issues:

  * CVE-2024-23222: Fixed type confusion that may lead to arbitrary code
    execution. (bsc#1219113)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-301=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-301=1

  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-301=1

  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-301=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP2  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2024-301=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP3  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-301=1

  * SUSE Enterprise Storage 7.1  
    zypper in -t patch SUSE-Storage-7.1-2024-301=1

## Package List:

  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (aarch64
    x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64
    x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64 ppc64le s390x
    x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x
    x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (ppc64le x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1
  * SUSE Enterprise Storage 7.1 (aarch64 x86_64)
    * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-devel-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1
    * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1
    * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1
    * webkit2gtk3-debugsource-2.42.4-150200.100.1
    * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1
    * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1
    * libwebkit2gtk-4_0-37-2.42.4-150200.100.1
  * SUSE Enterprise Storage 7.1 (noarch)
    * libwebkit2gtk3-lang-2.42.4-150200.100.1

## References:

  * https://www.suse.com/security/cve/CVE-2024-23222.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1219113

SUSE: 2024:0301-1 important: webkit2gtk3

February 1, 2024
* bsc#1219113 Cross-References: * CVE-2024-23222

Summary

## This update for webkit2gtk3 fixes the following issues: * CVE-2024-23222: Fixed type confusion that may lead to arbitrary code execution. (bsc#1219113) ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-301=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-301=1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-301=1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-301=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2024-301=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-301=1 * SUSE Enterprise Storage 7.1 zypper in -t patch SUSE-Storage-7.1-2024-301=1 ## Package List: * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (aarch64 x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64 x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64 ppc64le s390x x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (ppc64le x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1 * SUSE Enterprise Storage 7.1 (aarch64 x86_64) * typelib-1_0-WebKit2WebExtension-4_0-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-devel-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-2.42.4-150200.100.1 * typelib-1_0-JavaScriptCore-4_0-2.42.4-150200.100.1 * webkit2gtk-4_0-injected-bundles-debuginfo-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-debuginfo-2.42.4-150200.100.1 * webkit2gtk3-debugsource-2.42.4-150200.100.1 * typelib-1_0-WebKit2-4_0-2.42.4-150200.100.1 * libjavascriptcoregtk-4_0-18-2.42.4-150200.100.1 * libwebkit2gtk-4_0-37-2.42.4-150200.100.1 * SUSE Enterprise Storage 7.1 (noarch) * libwebkit2gtk3-lang-2.42.4-150200.100.1

References

* bsc#1219113

Cross-

* CVE-2024-23222

CVSS scores:

* CVE-2024-23222 ( SUSE ): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2024-23222 ( NVD ): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:

* SUSE Enterprise Storage 7.1

* SUSE Linux Enterprise High Performance Computing 15 SP2

* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2

* SUSE Linux Enterprise High Performance Computing 15 SP3

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3

* SUSE Linux Enterprise Server 15 SP2

* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2

* SUSE Linux Enterprise Server 15 SP3

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3

* SUSE Linux Enterprise Server for SAP Applications 15 SP2

* SUSE Linux Enterprise Server for SAP Applications 15 SP3

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2024-23222.html

* https://bugzilla.suse.com/show_bug.cgi?id=1219113

Severity
Announcement ID: SUSE-SU-2024:0301-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo